Bug 124833 - The gdbm database access method is no longer available in httpd.
The gdbm database access method is no longer available in httpd.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 22:25 EDT by Crutcher Dunnavant
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-01 11:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Crutcher Dunnavant 2004-05-30 22:25:09 EDT
Description of problem:

The gdbm database access method (available in FC1) is no longer
available in FC2. This is not mentioned in the release notes.

Users which use the gdbm (as from PHP to drive wikis) cannot access
their data after an upgrade.
Comment 1 Jari Korva 2004-06-01 11:01:23 EDT
Also I find this is annoying. Luckily there is a fairly easy workaround:

- download latest php source rpm (e.g. php-4.3.6-5.src.rpm) from
Fedora ftp site
- install it (rpm -ivh php-4.3.6-5.src.rpm)
- edit /usr/src/redhat/SPECS/php.spec:
 1) add gdbm at the end of the Release line (i.e. change it to
Release: 5gdbm)
 2) replace --without-gdbm with --with-gdbm=%{_prefix}
- build it: rpmbuild -ba php.spec (if it complains about missing
libraries, install those first)
- install the newly build packages (cd /usr/src/redhat/RPMS/i386; rpm
-Fvh php*.rpm)

After this procedure phpwiki at least works just fine.
Comment 2 Joe Orton 2004-06-01 11:08:48 EDT
My apologies for omitting this change from the release notes, that was
an oversight.

However, the change itself is necessary for licensing reasons, since
the PHP license conflicts with the gdbm license (GPL), so this bug
must be closed NOTABUG, unfortunately.

Note You need to log in before you can comment on or make changes to this bug.